## horizon 9.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# Order matters to the pip dependency resolver, so sorting this file
# changes how packages are installed.  New dependencies should be
# added in alphabetical order, however, some dependencies may need to
# be installed in a specific order.
#
# PBR should always appear first
pbr>=1.6 # Apache-2.0
# Horizon Core Requirements
Babel!=2.3.0,!=2.3.1,!=2.3.2,!=2.3.3,>=1.3 # BSD
Django<1.9,>=1.8 # BSD
Pint>=0.5 # BSD
django-babel>=0.4.0 # BSD
django-compressor>=2.0 # MIT
django-openstack-auth>=2.0.0 # Apache-2.0
django-pyscss>=2.0.2 # BSD License (2 clause)
httplib2>=0.7.5 # MIT
iso8601>=0.1.9 # MIT
netaddr!=0.7.16,>=0.7.12 # BSD
oslo.concurrency>=3.5.0 # Apache-2.0
oslo.config>=3.7.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
pyScss>=1.3.4 # MIT License
python-ceilometerclient>=2.2.1 # Apache-2.0
python-cinderclient>=1.3.1 # Apache-2.0
python-glanceclient>=2.0.0 # Apache-2.0
python-heatclient>=0.6.0 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,<3.0.0,>=1.6.0 # Apache-2.0
python-neutronclient!=4.1.0,>=2.6.0 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-swiftclient>=2.2.0 # Apache-2.0
pytz>=2013.6 # MIT
PyYAML>=3.1.0 # MIT
six>=1.9.0 # MIT
XStatic>=1.0.0 # MIT License
XStatic-Angular>=1.3.7 # MIT License
XStatic-Angular-Bootstrap>=0.11.0.2 # MIT License
XStatic-Angular-Gettext>=2.1.0.2 # MIT License
XStatic-Angular-lrdragndrop>=1.0.2.2 # MIT License
XStatic-Bootstrap-Datepicker>=1.3.1.0 # Apache 2.0 License
XStatic-Bootstrap-SCSS>=3 # Apache 2.0 License
XStatic-bootswatch>=3.3.5.3 # MIT License
XStatic-D3>=3.1.6.2 # BSD License (3 clause)
XStatic-Hogan>=2.0.0.2 # Apache 2.0 License
XStatic-Font-Awesome>=4.3.0 # SIL OFL 1.1 License, MIT License
XStatic-Jasmine>=2.1.2.0 # MIT License
XStatic-jQuery>=1.7.2 # MIT License
XStatic-JQuery-Migrate>=1.2.1.1 # MIT License
XStatic-JQuery.quicksearch>=2.0.3.1 # MIT License
XStatic-JQuery.TableSorter>=2.14.5.1 # MIT License
XStatic-jquery-ui>=1.10.1 # MIT License
XStatic-JSEncrypt>=2.0.0.2 # MIT License
XStatic-mdi==1.1.70.1 # SIL OPEN FONT LICENSE Version 1.1
XStatic-Rickshaw>=1.5.0 # BSD License (prior)
XStatic-roboto-fontface>=0.4.3.2 # Apache 2.0 License
XStatic-smart-table>=1.4.5.3 # MIT License
XStatic-Spin>=1.2.5.2 # MIT License
XStatic-term.js>=0.0.4 # MIT License

=== debian/changelog ===
horizon (3:9.0.1-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * 

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Jul 2016 08:11:39 +0000

horizon (3:9.0.1-2) unstable; urgency=high

  * CVE-2016-4428: Possible client side template injection in horizon. Added
    CVE-2016-4428_Escape_angularjs_templating_in_unsafe_HTML.patch from
    upstream (Closes: #828967).

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Jun 2016 14:59:37 +0200

horizon (3:9.0.1-1) unstable; urgency=medium

  * Increase epoch.
  * Merge the latest commits from stable/mitaka branch.

 -- Ivan Udovichenko <iudovichenko@mirantis.com>  Tue, 21 Jun 2016 11:49:07 +0300

horizon (2:9.0.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Changed source URL to https protocol

  [ Ivan Udovichenko ]
  * d/openstack-dashboard.{preinst,postinst,postrm},
      openstack-dashboard-apache.{preinst,postinst,postrm}:
      - Pass the correct version to dpkg-maintscript-helper script.
  * d/openstack-dashboard.postinst:
      - Check if django.utils.log.NullHandler class is being used and
        replace it with logging.NullHandler class if it is true. (Closes: #822907)

  [ Thomas Goirand ]
  * Horizon doesn't build with python-django-nose in Jessie, so increasing the
    build-depends version to >= 1.4.3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 May 2016 13:43:46 +0200

horizon (2:9.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)

  [ Ivan Udovichenko ]
  * d/openstack-dashboard-apache.postinst: Revert changes. (Closes: #820845)
    - Do not modify provided Apache configuration files.
    - Enable site provided by openstack-dashboard-alias-only.conf .
  * d/openstack-dashboard.triggers: Trigger package configuration
                                    only once. (Closes: #821868)
  * d/control: Fix documentation build by adding git to build-dependencies.
  * Add myself to Uploaders field.
  * Uploading to unstable.

 -- Ivan Udovichenko <iudovichenko@mirantis.com>  Wed, 13 Apr 2016 23:34:27 +0300

horizon (2:9.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Apr 2016 21:18:30 +0200

horizon (2:9.0.0~rc2-1) unstable; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Uploading to unstable (Closes: #809575).
  * Also copy openstack_dashboard/dashboards/project/static/dashboard/project
    which were not packaged.
  * Updated nl.po debconf translation (Closes: #805465).
  * Updated ja.po debconf translation (Closes: #816070).
  * Added pt_BR.po debconf translation (Closes: #816942).
  * Removed unused license in debian/copyright.

  [ Ivan Udovichenko ]
  * d/control: Add python-xstatic-magic-search dependency.
               Move memcached and openstack-dashboard-apache to Suggests field.
  * d/openstack-dashboard-apache.postinst:
      - Delete the .secret_ket_store file if exists.
      - Make www-data the owner of /var/lib/openstack-dashboard/secret-key and
        /var/lib/openstack-dashboard/static directories.
      - Set new alias to Horizon static files.
      - Call collectstatic with --clear and --noinput options.
  * d/openstack-dashboard.{preinst,postinst,postrm},
      openstack-dashboard-apache.{preinst,postinst,postrm}:
      - Remove /usr/share/openstack-dashboard/static directory and create a
        link to /var/lib/openstack-dashboard/static directory to make it
        compatible with Ubuntu OpenStack Puppet manifests.
  * d/rules: Do not copy/create additional files/links with/to static files. 
  * d/openstack-dashboard.links: Remove all links except a link to
    /usr/bin/lessc binary.
  * d/debian/apache-sites-available/*.conf:
      - Change/add alias path to static files.
      - Update permissions according to Apache 2.4 improvements.
      - Change user/group to www-data .

 -- Ivan Udovichenko <iudovichenko@mirantis.com>  Wed, 30 Mar 2016 22:23:48 +0300

horizon (2:9.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added python-selenium as build-depends, to satisfy the imports.
  * Fixed debian/copyright.
  * Added patch: Fix_remaining_Django_1.9_test_failures.patch
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Mar 2016 16:56:53 +0800

=== debian/control ===
Source: horizon
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Ivan Udovichenko <iudovichenko@mirantis.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               po-debconf,
               python-all,
               python-pbr (>= 1.6),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: gettext,
                     git,
                     python-babel,
                     python-ceilometerclient (>= 2.2.1),
                     python-cinderclient (>= 1:1.3.0),
                     python-django-compressor (>= 2.0),
                     python-coverage,
                     python-django (>= 1.8),
                     python-django-babel,
                     python-django-nose (>= 1.4.3),
                     python-django-openstack-auth (>= 2.0.0),
                     python-django-pyscss (>= 2.0.2),
                     python-glanceclient (>= 1:2.0.0),
                     python-hacking,
                     python-heatclient (>= 0.6.0),
                     python-httplib2,
                     python-iso8601,
                     python-keystoneclient (>= 1:1.6.0),
                     python-mock (>= 1.3),
                     python-mox3 (>= 0.7.0),
                     python-netaddr (>= 0.7.12),
                     python-neutronclient (>= 1:2.6.0),
                     python-nose,
                     python-nose-exclude,
                     python-nosehtmloutput,
                     python-nosexcover,
                     python-novaclient (>= 2:2.29.0),
                     python-openstack.nose-plugin,
                     python-oslo.concurrency (>= 3.5.0),
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-pint,
                     python-pyscss (>= 1.3.4),
                     python-selenium,
                     python-six (>= 1.9.0),
                     python-swiftclient,
                     python-testtools (>= 1.4.0),
                     python-tz,
                     python-xstatic,
                     python-xstatic-angular (>= 1.3.7),
                     python-xstatic-angular-bootstrap,
                     python-xstatic-angular-gettext,
                     python-xstatic-angular-lrdragndrop,
                     python-xstatic-bootstrap-datepicker (>= 0.0.0.1-3~),
                     python-xstatic-bootstrap-scss (>= 3),
                     python-xstatic-bootswatch,
                     python-xstatic-d3,
                     python-xstatic-font-awesome,
                     python-xstatic-hogan,
                     python-xstatic-jasmine (>= 2.1.2.0),
                     python-xstatic-jquery,
                     python-xstatic-jquery-migrate,
                     python-xstatic-jquery-ui (>= 1.10.1),
                     python-xstatic-jquery.quicksearch,
                     python-xstatic-jquery.tablesorter (>= 2.14.5.1),
                     python-xstatic-jsencrypt,
                     python-xstatic-magic-search (>= 0.2.5.1),
                     python-xstatic-mdi,
                     python-xstatic-rickshaw,
                     python-xstatic-roboto-fontface (>= 0.4.3.2),
                     python-xstatic-smart-table,
                     python-xstatic-spin,
                     python-xstatic-term.js,
                     python-xvfbwrapper,
                     python-yaml,
Standards-Version: 3.9.8
Homepage: http://horizon.openstack.org
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/horizon.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/horizon.git

Package: python-django-horizon
Section: python
Architecture: all
Depends: python-babel,
         python-ceilometerclient (>= 2.2.1),
         python-cinderclient (>= 1:1.3.0),
         python-django-compressor (>= 2.0),
         python-django (>= 1.8),
         python-django-babel,
         python-django-openstack-auth (>= 2.0.0),
         python-django-pyscss (>= 2.0.2),
         python-glanceclient (>= 1:2.0.0),
         python-heatclient (>= 0.6.0),
         python-httplib2,
         python-iso8601,
         python-keystoneclient (>= 1:1.6.0),
         python-memcache,
         python-netaddr (>= 0.7.12),
         python-neutronclient (>= 1:2.6.0),
         python-novaclient (>= 2:2.29.0),
         python-oslo.concurrency (>= 3.5.0),
         python-oslo.config (>= 1:3.7.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.utils (>= 3.5.0),
         python-pbr (>= 1.8),
         python-pint,
         python-pyscss (>= 1.3.4),
         python-six (>= 1.9.0),
         python-swiftclient,
         python-tz,
         python-xstatic,
         python-xstatic-angular (>= 1.3.7),
         python-xstatic-angular-bootstrap,
         python-xstatic-angular-gettext,
         python-xstatic-angular-lrdragndrop,
         python-xstatic-bootstrap-datepicker (>= 0.0.0.1-3~),
         python-xstatic-bootstrap-scss (>= 3),
         python-xstatic-bootswatch,
         python-xstatic-d3,
         python-xstatic-font-awesome,
         python-xstatic-hogan,
         python-xstatic-jasmine (>= 2.1.2.0),
         python-xstatic-jquery,
         python-xstatic-jquery-migrate,
         python-xstatic-jquery-ui (>= 1.10.1),
         python-xstatic-jquery.quicksearch,
         python-xstatic-jquery.tablesorter (>= 2.14.5.1),
         python-xstatic-jsencrypt,
         python-xstatic-magic-search (>= 0.2.5.1),
         python-xstatic-mdi,
         python-xstatic-rickshaw,
         python-xstatic-roboto-fontface (>= 0.4.3.2),
         python-xstatic-smart-table,
         python-xstatic-spin,
         python-xstatic-term.js,
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Suggests: memcached,
Description: Django module providing web interaction with OpenStack
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 Horizon is a Django module that permits interaction with an OpenStack
 cloud. It can be used to build a dashboard to control an OpenStack cloud.

Package: openstack-dashboard
Architecture: all
Depends: adduser,
         libjs-jquery,
         libjs-jquery-cookie,
         python-django-horizon (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Suggests: memcached,
          openstack-dashboard-apache,
Description: web application to control an OpenStack cloud
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.

Package: openstack-dashboard-apache
Architecture: all
Depends: apache2 (>= 2.4),
         debconf,
         libapache2-mod-wsgi (>= 2.3),
         openstack-dashboard,
         ${misc:Depends},
Description: web application to control an OpenStack cloud - Apache support
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 This package includes the configuration files to use within Apache. If you
 wish to configure Apache yourself, use only openstack-dashboard.

Package: horizon-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: web application to control an OpenStack cloud - doc
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc

override_dh_auto_install:
	# Note: upstream advises to use "python setup.py compile_catalog"
	# maybe we should do that next time.
	chmod +x debian/compile-messages
	$(CURDIR)/debian/compile-messages

	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install \
			--install-layout=deb \
			--root $(CURDIR)/debian/python-django-horizon \
			--no-compile -O0; \
	done

	install -d -m 755 $(CURDIR)/debian/tmp/usr/share/openstack-dashboard

	cp -a $(CURDIR)/openstack_dashboard/ $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/

	# Sets memcached by default in local_settings.py
	cp $(CURDIR)/openstack_dashboard/local/local_settings.py.example $(CURDIR)/debian/openstack-dashboard/usr/share/openstack-dashboard/local_settings.py
	sed -i -e 's/os.path.join(LOCAL_PATH,/os.path.join("\/","var","lib","openstack-dashboard","secret-key",/' $(CURDIR)/debian/openstack-dashboard/usr/share/openstack-dashboard/local_settings.py
	echo "COMPRESS_OFFLINE=True" >> $(CURDIR)/debian/openstack-dashboard/usr/share/openstack-dashboard/local_settings.py
	install -d -m 755 $(CURDIR)/debian/openstack-dashboard/var/lib/openstack-dashboard/static


	cp $(CURDIR)/manage.py \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/
	ln -fs /etc/openstack-dashboard/local_settings.py \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/local/local_settings.py

override_dh_auto_clean:
	dh_auto_clean
	python setup.py clean
	rm -rf $(CURDIR)/static
	rm -rf $(CURDIR)/horizon/build
	rm -rf $(CURDIR)/horizon.egg-info
	rm -rf $(CURDIR)/openstack_dashboard/openstack_dashboard.egg-info
	rm -rf doc/source/sourcecode
	rm -rf $(CURDIR)/doc/build
	rm -f horizon/openstack_dashboard/test/.secret_key_store
	find $(CURDIR)/openstack_dashboard -iname '*.pyc' -delete

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/horizon-doc/usr/share/doc/horizon-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	# We should add --compilemessages when the .mo are removed.
	./run_tests.sh --no-virtual-env --no-pep8 --verbosity=2
endif

## horizon 9.1.2

=== requirements.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 httplib2>=0.7.5 # MIT
 iso8601>=0.1.9 # MIT
 netaddr!=0.7.16,>=0.7.12 # BSD
-oslo.concurrency>=3.5.0 # Apache-2.0
+oslo.concurrency>=3.7.1 # Apache-2.0
 oslo.config>=3.7.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
 oslo.policy>=0.5.0 # Apache-2.0

=== debian/changelog ===
horizon (2:9.1.2-0ubuntu5.2) xenial-security; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Marc Deslauriers ]
  * SECURITY UPDATE: ensure next parameter is validated to prevent malicious
    URL injection
    - d/p/CVE-2020-29565.patch: Make sure the next URL is in the same origin
      as Horizon before redirecting to it.
    - CVE-2020-29565

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 14 Dec 2020 10:04:03 -0500

horizon (2:9.1.2-0ubuntu5) xenial; urgency=medium

  [ Seyeong Kim ]
  * Hide unused consistency groups tab (LP: #1582725)
    - d/p/hide-unused-consistency-groups.patch: Pick some policies from
      upstream commit 388708b251b0487bb22fb3ebb8fcb36ee4ffdc4f to hide
      unused consistency groups tab.

  [ Corey Bryant ]
  * d/openstack-dashboard.postinst: Ensure permissions are not
    world-readable for /etc/openstack-dashboard/local_settings.py
    (LP: #1755027).

  [ Shane Peters ]
  * d/p/let-nova-to-pick-availability-zone.patch:
    In the Angular Launch Instance, if there is more than one
    availability zone default to the option for the Nova scheduler to pick.
    This is regression from the legacy Launch Instance feature (LP: #1613900).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Mar 2018 13:57:14 -0400

horizon (2:9.1.2-0ubuntu3) xenial; urgency=medium

  [ Corey Bryant ]
  * The horizon 2:9.1.2-0ubuntu1 point release was released with quilt
    patches pushed and now debian/patches won't apply. Revert the commits
    to upstream code of the following patches:
    - d/p/embedded-xstatic.patch
    - d/p/fix-dashboard-django-wsgi.patch
    - d/p/fix-dashboard-manage.patch
    - d/p/fix-horizon-test-settings.patch
    - d/p/ubuntu_settings.patch
    - d/p/add-juju-environment-download.patch (all but
      juju.environments.template were pushed)

  [ Seyeong Kim ]
  * Fix create consistency group form exception (LP: #1681073)
    - d/p/fix_create_consistency_group_form_exception.patch

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Dec 2017 10:48:25 -0500

horizon (2:9.1.2-0ubuntu2) xenial; urgency=medium

  * debian/theme/ubuntu/_styles.scss: Ensure btn-primary text color takes
    precedence (LP: #1481216).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 25 Sep 2017 16:27:00 -0400

horizon (2:9.1.2-0ubuntu1) xenial; urgency=medium

  * New upstream point release for OpenStack Mitaka (LP: #1680098) 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 06 Apr 2017 09:18:21 -0400

horizon (2:9.1.1-0ubuntu1) xenial; urgency=medium

  * New upstream point release for OpenStack Mitaka (LP: #1668313).

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 01 Mar 2017 10:14:18 -0500

horizon (2:9.1.0-0ubuntu1) xenial; urgency=medium

  * New upstream point release for OpenStack Mitaka (LP: #1607880).
  * d/p/ubuntu_settings.patch: Rebased.
  * d/control: Align (build-)depends with upstream.

 -- David Della Vecchia <ddv@canonical.com>  Mon, 01 Aug 2016 12:14:25 -0400

horizon (2:9.0.1-0ubuntu2) xenial; urgency=medium

  * d/theme/ubuntu_theme.py: When setting UBUNTU_THEME for AVAILABLE_THEMES,
    use the symlinked path that already exists under
    /usr/share/openstack-dashboard/openstack_dashboard (LP: #1594249).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 21 Jun 2016 13:41:09 -0400

horizon (2:9.0.1-0ubuntu1) xenial; urgency=medium

  * New upstream point release for OpenStack Mitaka (LP: #1591248).

 -- David Della Vecchia <ddv@canonical.com>  Fri, 10 Jun 2016 13:55:31 -0400

horizon (2:9.0.0-0ubuntu2.16.04.1) xenial; urgency=medium

  * d/theme/ubuntu/*: Refresh with misc fixes from the Canonical design
    team (LP: #1585948).

 -- James Page <james.page@ubuntu.com>  Thu, 26 May 2016 10:48:47 +0100

=== debian/control ===
Source: horizon
Section: net
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 9~),
               dh-python,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-babel (>= 1.3),
                     python-ceilometerclient (>= 2.2.1),
                     python-cinderclient (>= 1:1.3.1),
                     python-compressor (>= 2.0),
                     python-django (>= 1.8),
                     python-django-pyscss (>= 2.0.2),
                     python-glanceclient (>= 1:2.0.0),
                     python-heatclient (>= 0.6.0),
                     python-httplib2 (>= 0.7.5),
                     python-iso8601 (>= 0.1.9),
                     python-keystoneclient (>= 1:1.6.0),
                     python-mock (>= 1.2),
                     python-mox3 (>= 0.7.0),
                     python-netaddr (>= 0.7.12),
                     python-neutronclient (>= 1:2.6.0),
                     python-novaclient (>= 2:2.29.0),
                     python-openstack-auth (>= 2.0.0),
                     python-oslo.concurrency (>= 3.7.1),
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-pint (>= 0.5),
                     python-pyscss (>= 1.3.4),
                     python-six (>= 1.9.0),
                     python-swiftclient (>= 1:2.2.0),
                     python-tz (>= 2013.6),
                     python-yaml (>= 3.1.0),
Standards-Version: 3.9.6
Homepage: http://launchpad.net/horizon
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/horizon
Vcs-Git: git://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/horizon
XS-Testsuite: autopkgtest

Package: python-django-horizon
Section: python
Architecture: all
Depends: python-babel (>= 1.3),
         python-ceilometerclient (>= 2.2.1),
         python-cinderclient (>= 1:1.3.1),
         python-compressor (>= 2.0),
         python-django (>= 1.8),
         python-django-pyscss (>= 2.0.2),
         python-glanceclient (>= 1:2.0.0),
         python-heatclient (>= 0.6.0),
         python-httplib2 (>= 0.7.5),
         python-iso8601 (>= 0.1.9),
         python-keystoneclient (>= 1:1.6.0),
         python-netaddr (>= 0.7.12),
         python-neutronclient (>= 1:2.6.0),
         python-novaclient (>= 2:2.29.0),
         python-openstack-auth (>= 2.0.0),
         python-oslo.concurrency (>= 3.7.1),
         python-oslo.config (>= 1:3.7.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.5.0),
         python-pbr (>= 1.8),
         python-pint (>= 0.5),
         python-pyscss (>= 1.3.4),
         python-six (>= 1.9.0),
         python-swiftclient (>= 1:2.2.0),
         python-tz (>= 2013.6),
         python-yaml (>= 3.1.0),
         ${misc:Depends},
         ${python:Depends},
Recommends: memcached,
Description: Django module providing web based interaction with OpenStack
 The Django-Nova project is a Django module that is used to provide web based
 interactions with the OpenStack Nova cloud controller.

Package: openstack-dashboard
Architecture: all
Pre-Depends: dpkg (>= 1.15.7.2),
Depends: adduser,
         apache2 | httpd,
         libapache2-mod-wsgi (>= 2.3),
         python-django-horizon (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
Recommends: openstack-dashboard-ubuntu-theme,
Description: Django web interface for OpenStack
 The OpenStack Dashboard is a reference implementation of a Django site that
 uses the Django-Nova project to provide web based interactions with the
 OpenStack Nova cloud controller.

Package: openstack-dashboard-ubuntu-theme
Architecture: all
Depends: openstack-dashboard (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Ubuntu theme for the OpenStack dashboard
 A custom Ubuntu theme for Horizon.  This package is optional and overrides the
 default theme and branding.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

PYVER=$(shell pyversions -d)

DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')

override_dh_auto_clean:
	find . -name "django*.mo" -delete || :
	rm -f horizon/xstatic
	dh_auto_clean
	rm -f horizon/openstack_dashboard/local/.secret_key_store

override_dh_auto_build:
	# NOTE(jamespage) this is a little horrible but works around
	# the switch to /var/lib/openstack once installed for lockfiles
	ln -sf ../xstatic horizon/xstatic
	patch -p1 -R <debian/patches/ubuntu_settings.patch
	./run_tests.sh -N --compilemessages
	patch -p1 <debian/patches/ubuntu_settings.patch
	dh_auto_build

override_dh_auto_install:
	# install horizon and dashboard
	python setup.py install --root=$(CURDIR)/debian/tmp --no-compile -O0 --install-layout=deb
	# install vendorfied xstatic assets
	cp -r xstatic $(CURDIR)/debian/tmp/usr/lib/$(PYVER)/dist-packages/horizon
	install -d -m 755 $(CURDIR)/debian/tmp/usr/share/openstack-dashboard
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard
	install -d -m 755 $(CURDIR)/debian/tmp/etc/apache2/conf-available

	cp -a $(CURDIR)/openstack_dashboard/ $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard
	cp -a $(CURDIR)/openstack_dashboard/settings.py $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/

	cp $(CURDIR)/openstack_dashboard/local/local_settings.py.example \
		$(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.py
	cp $(CURDIR)/manage.py \
		 $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/manage.py
	ln -fs /etc/openstack-dashboard/local_settings.py \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/local/local_settings.py
	ln -fs /usr/lib/$(PYVER)/dist-packages/horizon/static/horizon \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/static/horizon
	ln -fs /usr/lib/$(PYVER)/dist-packages/horizon \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/horizon

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	# Skip tests
	:
endif

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

refresh-xstatic:
	bash debian/bundle-xstatic.sh $(DEB_UPSTREAM_VERSION)

## horizon 10.0.0~rc1

=== debian/changelog ===
horizon (3:10.0.0~rc1-1+720~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Tue, 27 Sep 2016 23:05:56 +0000

horizon (3:10.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release, including 3 new XStatic packages.
  * Add Django 1.10 patch:
    - django-1.10-horizon.test.settings.patch
  * Using OpenStack's Gerrit as VCS URLs.
  * .gitreview file points to deb-horizon in OpenStack Gerrit.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Sep 2016 22:13:09 +0200

horizon (3:10.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Updated Danish translation of debconf templates (Closes: #830639).
  * Remove CVE-2016-4428_Escape_angularjs_templating_in_unsafe_HTML.patch
    applied upstream.
  * Add BaseCommand.option_list-is-gone-from-django1.10.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Jul 2016 14:24:50 +0200

horizon (3:10.0.0~b1-3) experimental; urgency=medium

  * Adds CVE-2016-4428_Escape_angularjs_templating_in_unsafe_HTML.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Jun 2016 14:51:26 +0200

horizon (3:10.0.0~b1-2) experimental; urgency=medium

  * Increasing the EPOC after an unfortunate upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Jun 2016 08:02:20 +0000

horizon (2:10.0.0~b1-1) unstable; urgency=medium

  [ Ivan Udovichenko ]
  * New upstream release.
  * Fix (build-)dependencies.

  [ Thomas Goirand ]
  * Removed Fix_remaining_Django_1.9_test_failures.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 10 Jun 2016 16:39:20 +0200

=== debian/control ===
Source: horizon
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Ivan Udovichenko <iudovichenko@mirantis.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               po-debconf,
               python-all,
               python-pbr (>= 1.6),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: gettext,
                     git,
                     python-babel (>= 2.3.4),
                     python-ceilometerclient (>= 2.2.1),
                     python-cinderclient (>= 1:1.6.0),
                     python-django-compressor (>= 2.0),
                     python-coverage,
                     python-django (>= 1.8),
                     python-django-babel (>= 0.5.1),
                     python-django-nose (>= 1.4.3),
                     python-django-openstack-auth (>= 2.4.0),
                     python-django-pyscss (>= 2.0.2),
                     python-glanceclient (>= 1:2.3.0),
                     python-hacking,
                     python-heatclient (>= 1.4.0),
                     python-iso8601 (>= 0.1.11),
                     python-keystoneclient (>= 1:2.0.0),
                     python-mock (>= 1.3),
                     python-mox3 (>= 0.7.0),
                     python-netaddr (>= 0.7.13),
                     python-neutronclient (>= 1:5.1.0),
                     python-nose,
                     python-nose-exclude,
                     python-nosehtmloutput,
                     python-nosexcover,
                     python-novaclient (>= 2:2.29.0),
                     python-openstack.nose-plugin,
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.policy (>= 1.9.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.utils (>= 3.15.0),
                     python-oslosphinx (>= 2.5.0),
                     python-pep8,
                     python-pint,
                     python-pyscss (>= 1.3.4),
                     python-selenium,
                     python-six (>= 1.9.0),
                     python-swiftclient,
                     python-testtools (>= 1.4.0),
                     python-tz,
                     python-xstatic,
                     python-xstatic-angular (>= 1.3.7),
                     python-xstatic-angular-bootstrap,
                     python-xstatic-angular-fileupload (>= 12.0.4.0),
                     python-xstatic-angular-gettext,
                     python-xstatic-angular-lrdragndrop,
                     python-xstatic-angular-schema-form (>= 0.8.13.0),
                     python-xstatic-bootstrap-datepicker (>= 0.0.0.1-3~),
                     python-xstatic-bootstrap-scss (>= 3),
                     python-xstatic-bootswatch,
                     python-xstatic-d3,
                     python-xstatic-font-awesome,
                     python-xstatic-hogan,
                     python-xstatic-jasmine (>= 2.1.2.0),
                     python-xstatic-jquery,
                     python-xstatic-jquery-migrate,
                     python-xstatic-jquery-ui (>= 1.10.1),
                     python-xstatic-jquery.quicksearch,
                     python-xstatic-jquery.tablesorter (>= 2.14.5.1),
                     python-xstatic-jsencrypt,
                     python-xstatic-magic-search (>= 0.2.5.1),
                     python-xstatic-mdi (>= 1.4.57.0),
                     python-xstatic-objectpath (>= 1.2.1.0),
                     python-xstatic-rickshaw,
                     python-xstatic-roboto-fontface (>= 0.4.3.2),
                     python-xstatic-smart-table (>= 1.4.5.3),
                     python-xstatic-spin,
                     python-xstatic-term.js,
                     python-xstatic-tv4 (>= 1.2.7.0),
                     python-xvfbwrapper,
                     python-yaml,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-horizon?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-horizon -b debian/newton
Homepage: https://horizon.openstack.org

Package: python-django-horizon
Section: python
Architecture: all
Depends: python-babel (>= 2.3.4),
         python-ceilometerclient (>= 2.2.1),
         python-cinderclient (>= 1:1.6.0),
         python-django-compressor (>= 2.0),
         python-django (>= 1.8),
         python-django-babel (>= 0.5.1),
         python-django-openstack-auth (>= 2.4.0),
         python-django-pyscss (>= 2.0.2),
         python-glanceclient (>= 1:2.3.0),
         python-heatclient (>= 1.4.0),
         python-iso8601 (>= 0.1.11),
         python-keystoneclient (>= 1:2.0.0),
         python-memcache,
         python-netaddr (>= 0.7.13),
         python-neutronclient (>= 1:5.1.0),
         python-novaclient (>= 2:2.29.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.policy (>= 1.9.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.utils (>= 3.15.0),
         python-pbr (>= 1.8),
         python-pint,
         python-pyscss (>= 1.3.4),
         python-six (>= 1.9.0),
         python-swiftclient,
         python-tz,
         python-xstatic,
         python-xstatic-angular (>= 1.3.7),
         python-xstatic-angular-bootstrap,
         python-xstatic-angular-fileupload (>= 12.0.4.0),
         python-xstatic-angular-gettext,
         python-xstatic-angular-lrdragndrop,
         python-xstatic-angular-schema-form (>= 0.8.13.0),
         python-xstatic-bootstrap-datepicker (>= 0.0.0.1-3~),
         python-xstatic-bootstrap-scss (>= 3),
         python-xstatic-bootswatch,
         python-xstatic-d3,
         python-xstatic-font-awesome,
         python-xstatic-hogan,
         python-xstatic-jasmine (>= 2.1.2.0),
         python-xstatic-jquery,
         python-xstatic-jquery-migrate,
         python-xstatic-jquery-ui (>= 1.10.1),
         python-xstatic-jquery.quicksearch,
         python-xstatic-jquery.tablesorter (>= 2.14.5.1),
         python-xstatic-jsencrypt,
         python-xstatic-magic-search (>= 0.2.5.1),
         python-xstatic-mdi (>= 1.4.57.0),
         python-xstatic-objectpath (>= 1.2.1.0),
         python-xstatic-rickshaw,
         python-xstatic-roboto-fontface (>= 0.4.3.2),
         python-xstatic-smart-table (>= 1.4.5.3),
         python-xstatic-spin,
         python-xstatic-term.js,
         python-xstatic-tv4 (>= 1.2.7.0),
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Suggests: memcached,
Description: Django module providing web interaction with OpenStack
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 Horizon is a Django module that permits interaction with an OpenStack
 cloud. It can be used to build a dashboard to control an OpenStack cloud.

Package: openstack-dashboard
Architecture: all
Depends: adduser,
         libjs-jquery,
         libjs-jquery-cookie,
         python-django-horizon (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Suggests: memcached,
          openstack-dashboard-apache,
Description: web application to control an OpenStack cloud
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.

Package: openstack-dashboard-apache
Architecture: all
Depends: apache2 (>= 2.4),
         debconf,
         libapache2-mod-wsgi (>= 2.3),
         openstack-dashboard,
         ${misc:Depends},
Description: web application to control an OpenStack cloud - Apache support
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 This package includes the configuration files to use within Apache. If you
 wish to configure Apache yourself, use only openstack-dashboard.

Package: horizon-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: web application to control an OpenStack cloud - doc
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 This package contains the documentation.

## horizon 10.0.0~rc2

=== debian/changelog ===
horizon (3:10.0.0~rc2-3+1~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Tue, 04 Oct 2016 08:21:52 +0000

horizon (3:10.0.0~rc2-3) unstable; urgency=medium

  * Uploading to unstable (Closes: #832338).

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Oct 2016 09:39:39 +0200

horizon (3:10.0.0~rc2-2) experimental; urgency=medium

  * Add patch to use /tmp for the SECRET_KEY during tests, instead of the
    openstack_dashboard/test folder, which isn't suitable for plugins, and
    which would make them FTBFS.

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Sep 2016 11:45:54 +0200

horizon (3:10.0.0~rc2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release, including 3 new XStatic packages.
  * Using OpenStack's Gerrit as VCS URLs.
  * .gitreview file points to deb-horizon in OpenStack Gerrit.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Sep 2016 22:13:09 +0200

## horizon 10.0.0

=== debian/changelog ===
horizon (3:10.0.0-3+2~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Thu, 24 Nov 2016 10:35:10 +0000

horizon (3:10.0.0-2) unstable; urgency=medium

  * Added missing path in debian/openstack-dashboard.triggers.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Oct 2016 17:35:09 +0200

horizon (3:10.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2016 17:51:41 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Ivan Udovichenko <iudovichenko@mirantis.com>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools,
                po-debconf,
@@ -17,10 +17,10 @@
                      python-babel (>= 2.3.4),
                      python-ceilometerclient (>= 2.2.1),
                      python-cinderclient (>= 1:1.6.0),
-                     python-django-compressor (>= 2.0),
                      python-coverage,
                      python-django (>= 1.8),
                      python-django-babel (>= 0.5.1),
+                     python-django-compressor (>= 2.0),
                      python-django-nose (>= 1.4.3),
                      python-django-openstack-auth (>= 2.4.0),
                      python-django-pyscss (>= 2.0.2),
@@ -96,9 +96,9 @@
 Depends: python-babel (>= 2.3.4),
          python-ceilometerclient (>= 2.2.1),
          python-cinderclient (>= 1:1.6.0),
-         python-django-compressor (>= 2.0),
          python-django (>= 1.8),
          python-django-babel (>= 0.5.1),
+         python-django-compressor (>= 2.0),
          python-django-openstack-auth (>= 2.4.0),
          python-django-pyscss (>= 2.0.2),
          python-glanceclient (>= 1:2.3.0),
